package com.qxgmat.data.constants.enums;

/**
 * Created by gaojie on 2017/11/19.
 */
public enum QuestionGroup {
    SC("sc", "语法"),
    RC("rc", "阅读"),
    CR("cr","逻辑"),
    PS("ps", "数学"),
    DS("ds", "数学"),
    IR("ir", "综合推理"),
    AWA("awa", "作文");
    final static public String message = "题目类型";

    public String key;
    public String title;
    private QuestionGroup(String key, String title){
        this.key = key;
        this.title = title;
    }

    public static QuestionGroup ValueOf(String name){
        if (name == null) return null;
        return QuestionGroup.valueOf(name.toUpperCase());
    }
}
